org.apache.http.nio.entity

## Class SkipContentListener

- java.lang.Object
- - org.apache.http.nio.entity.SkipContentListener

- All Implemented Interfaces:
    ContentListener

  Deprecated.
  (4.2)

      @Deprecated
      public class SkipContentListener
      extends Object
      implements ContentListener

  A simple `ContentListener` that reads and ignores all content.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkipContentListener(ByteBufferAllocator allocator)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contentAvailable(ContentDecoder decoder, IOControl ioctrl)` Deprecated. Notification that content is available to be read from the decoder.
    `void` | `finished()` Deprecated. Notification that any resources allocated for reading can be released.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SkipContentListener

          public SkipContentListener(ByteBufferAllocator allocator)

      Deprecated.

  - ### Method Detail

    - #### contentAvailable

          public void contentAvailable(ContentDecoder decoder,
                              IOControl ioctrl)
                                throws IOException

      Deprecated.
      Description copied from interface: `ContentListener`
      Notification that content is available to be read from the decoder.
      Specified by:
        `contentAvailable` in interface `ContentListener`
      Parameters:
        `decoder` - content decoder.
        `ioctrl` - I/O control of the underlying connection.
      Throws:
        `IOException`

    - #### finished

          public void finished()

      Deprecated.
      Description copied from interface: `ContentListener`
      Notification that any resources allocated for reading can be released.
      Specified by:
        `finished` in interface `ContentListener`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.